Browse Source

Automatically run dhcpd when cable is connected. Added ifplugd, omx stuff.

Thomas Buck 8 years ago
parent
commit
4b729cdc47

+ 3
- 3
board/raspi/boot/config.txt View File

@@ -9,9 +9,9 @@ disable_overscan=1
9 9
 
10 10
 # How much memory in MB to assign to the GPU on Pi models having
11 11
 # 256, 512 or 1024 MB total memory
12
-gpu_mem_256=100
13
-gpu_mem_512=100
14
-gpu_mem_1024=100
12
+gpu_mem_256=32
13
+gpu_mem_512=32
14
+gpu_mem_1024=32
15 15
 
16 16
 # 0=NTSC, 2=PAL
17 17
 sdtv_mode=0

+ 1069
- 0
board/raspi/busybox.config
File diff suppressed because it is too large
View File


+ 13
- 0
board/raspi/rootfs_overlay/etc/ifplugd/ifplugd.action View File

@@ -0,0 +1,13 @@
1
+#!/bin/sh
2
+
3
+if [ -z "$1" ] || [ -z "$2" ] ; then
4
+	echo "Wrong arguments"
5
+	exit 1
6
+fi
7
+
8
+[ "$2" = "up" ] && exec udhcpc -i $1
9
+
10
+if [ "$2" = "down" ] ; then
11
+	ifconfig $1 down
12
+fi
13
+

+ 39
- 0
board/raspi/rootfs_overlay/etc/init.d/S42ifplugd View File

@@ -0,0 +1,39 @@
1
+#! /bin/sh
2
+
3
+NAME=ifplugd
4
+DAEMON=/usr/sbin/$NAME
5
+
6
+# Gracefully exit if the package has been removed.
7
+test -x $DAEMON || exit 0
8
+
9
+# Read config file if it is present.
10
+if [ -r /etc/default/$NAME ]
11
+then
12
+  . /etc/default/$NAME
13
+fi
14
+
15
+case "$1" in
16
+  start)
17
+    printf "Starting $NAME: "
18
+    start-stop-daemon -S -q -x $DAEMON
19
+    [ $? = 0 ] && echo "OK" || echo "FAIL"
20
+    ;;
21
+  stop)
22
+    printf "Stopping $NAME: "
23
+    start-stop-daemon -K -q -n $NAME
24
+    [ $? = 0 ] && echo "OK" || echo "FAIL"
25
+    ;;
26
+  restart|reload)
27
+    echo "Restarting $NAME: "
28
+    $0 stop
29
+    sleep 1
30
+    $0 start
31
+    ;;
32
+  *)
33
+    echo "Usage: $0 {start|stop|restart|reload}" >&2
34
+    exit 1
35
+    ;;
36
+esac
37
+
38
+exit 0
39
+

+ 8
- 0
board/raspi/rootfs_overlay/etc/network/interfaces View File

@@ -0,0 +1,8 @@
1
+# interface file auto-generated by buildroot
2
+
3
+auto lo
4
+iface lo inet loopback
5
+
6
+iface eth0 inet
7
+	pre-up /etc/network/nfs_check
8
+	wait-delay 15

+ 5
- 0
configs/raspi_defconfig View File

@@ -22,13 +22,18 @@ BR2_LINUX_KERNEL_CUSTOM_CONFIG_FILE="$(BR2_EXTERNAL)/board/raspi/linux.config"
22 22
 BR2_LINUX_KERNEL_ZIMAGE=y
23 23
 BR2_LINUX_KERNEL_DTS_SUPPORT=y
24 24
 BR2_LINUX_KERNEL_INTREE_DTS_NAME="bcm2708-rpi-b bcm2708-rpi-b-plus bcm2708-rpi-cm"
25
+BR2_PACKAGE_BUSYBOX_CONFIG="$(BR2_EXTERNAL)/board/raspi/busybox.config"
26
+BR2_PACKAGE_BELLAGIO=y
25 27
 BR2_PACKAGE_FFMPEG=y
28
+BR2_PACKAGE_FFMPEG_GPL=y
26 29
 BR2_PACKAGE_FFMPEG_SWSCALE=y
27 30
 BR2_PACKAGE_GSTREAMER1=y
28 31
 BR2_PACKAGE_GST1_PLUGINS_GOOD=y
29 32
 BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_MATROSKA=y
30 33
 BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_V4L2=y
34
+BR2_PACKAGE_GST_OMX=y
31 35
 BR2_PACKAGE_RPI_FIRMWARE=y
32 36
 # BR2_PACKAGE_RPI_FIRMWARE_INSTALL_DTB_OVERLAYS is not set
37
+BR2_PACKAGE_X264=y
33 38
 BR2_PACKAGE_DROPBEAR=y
34 39
 BR2_PACKAGE_NTP=y

+ 2
- 0
flash.sh View File

@@ -96,3 +96,5 @@ else
96 96
 	echo Could not find a suitable root filesystem!
97 97
 fi
98 98
 
99
+eject $1
100
+

Loading…
Cancel
Save